%global npm_name coffeescript

Name: nodejs-coffeescript
Version: 2.3.2
Release: %mkrel 3
Summary: Unfancy JavaScript
License: MIT
Group: Development/Other
URL: https://coffeescript.org
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr register.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr repl.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/coffee
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/coffee %{buildroot}%{_bindir}/coffee
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/cake
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/cake %{buildroot}%{_bindir}/cake

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/coffee
%{_bindir}/cake
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.3.2-3.mga9
+ Revision: 1819347
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.3.2-2.mga8
+ Revision: 1521226
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 2.3.2-1.mga7
+ Revision: 1341833
- imported package nodejs-coffeescript

